> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Terms Of Service Versions

> Lists Terms of Service versions for an organization.

`Unary` · [`Organizations`](/docs/api-reference/generated/organization/overview)

Lists Terms of Service versions for an organization.

Use this method to:

* Show immutable Terms of Service history
* Inspect previously published versions

### Examples

* List versions:

  ```yaml theme={null}
  organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
  pagination:
    pageSize: 20
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.OrganizationService/ListTermsOfServiceVersions
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.OrganizationService/ListTermsOfServiceVersions" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "organizationId": "<organization-id>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.organization_pb2 as organization_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = organization_pb2.ListTermsOfServiceVersionsRequest(
      organization_id="<organization-id>",
  )
  response = ona.services.organization.list_terms_of_service_versions(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { ListTermsOfServiceVersionsRequestSchema } from "@gitpod/sdk/gitpod/v1/organization_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(ListTermsOfServiceVersionsRequestSchema, {
      organizationId: "<organization-id>",
    });
    const response = await ona.services.organization.listTermsOfServiceVersions(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.ListTermsOfServiceVersionsRequest{
  		OrganizationId: "<organization-id>",
  	})
  	response, err := ona.Services.Organization.ListTermsOfServiceVersions(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "organizationId": "<organization-id>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.ListTermsOfServiceVersionsRequest`

| Field            | Type                                                    | Required | Description                                     |
| ---------------- | ------------------------------------------------------- | -------- | ----------------------------------------------- |
| `pagination`     | [PaginationRequest](#type-gitpod-v1-pagination-request) | No       |                                                 |
| `organizationId` | string                                                  | Yes      | Constraints: `required=true, string.uuid=true`. |

## Response

`gitpod.v1.ListTermsOfServiceVersionsResponse`

| Field        | Type                                                                       | Required | Description                   |
| ------------ | -------------------------------------------------------------------------- | -------- | ----------------------------- |
| `pagination` | [PaginationResponse](#type-gitpod-v1-pagination-response)                  | Yes      | Constraints: `required=true`. |
| `versions`   | array of [TermsOfServiceVersion](#type-gitpod-v1-terms-of-service-version) | Yes      | Constraints: `required=true`. |

## Related types

<a id="type-gitpod-v1-pagination-request" />

<Accordion title="PaginationRequest">
  `gitpod.v1.PaginationRequest`

  | Field      | Type    | Required | Description                                                                                                                              |
  | ---------- | ------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
  | `pageSize` | integer | No       | Page size is the maximum number of results to retrieve per page. Defaults to 25. Maximum 100. Constraints: `int32.gte=0, int32.lte=100`. |
  | `token`    | string  | No       | Token for the next set of results that was returned as next\_token of a PaginationResponse                                               |
</Accordion>

<a id="type-gitpod-v1-pagination-response" />

<Accordion title="PaginationResponse">
  `gitpod.v1.PaginationResponse`

  | Field       | Type   | Required | Description                                                                             |
  | ----------- | ------ | -------- | --------------------------------------------------------------------------------------- |
  | `nextToken` | string | No       | Token passed for retrieving the next set of results. Empty if there are no more results |
</Accordion>

<a id="type-gitpod-v1-terms-of-service-version" />

<Accordion title="TermsOfServiceVersion">
  `gitpod.v1.TermsOfServiceVersion`

  | Field             | Type               | Required | Description                                     |
  | ----------------- | ------------------ | -------- | ----------------------------------------------- |
  | `id`              | string             | Yes      | Constraints: `required=true, string.uuid=true`. |
  | `version`         | integer            | No       | Constraints: `int32.gte=1`.                     |
  | `markdown`        | string             | No       | Constraints: `string.max_len=32000`.            |
  | `createdAt`       | RFC 3339 timestamp | Yes      | Constraints: `required=true`.                   |
  | `createdByUserId` | string             | Yes      | Constraints: `required=true, string.uuid=true`. |
</Accordion>
